summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAustin English <wizardedit@gentoo.org>2016-04-26 15:25:21 -0500
committerAustin English <wizardedit@gentoo.org>2016-04-26 17:26:32 -0500
commit9084aa7d239f12d44cbd547e8d9622af5f920a01 (patch)
tree213e902b6064f61539de81375bf3d11b0c905900 /app-mobilephone
parentapp-misc/tpconfig: remove tpconfig-3.1.3 (diff)
downloadgentoo-9084aa7d239f12d44cbd547e8d9622af5f920a01.tar.gz
gentoo-9084aa7d239f12d44cbd547e8d9622af5f920a01.tar.bz2
gentoo-9084aa7d239f12d44cbd547e8d9622af5f920a01.zip
app-mobilephone/kannel: use #!/sbin/openrc-run instead of #!/sbin/runscript
Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=573846 Package-Manager: portage-2.2.26
Diffstat (limited to 'app-mobilephone')
-rw-r--r--app-mobilephone/kannel/files/kannel-bearerbox.initd4
-rw-r--r--app-mobilephone/kannel/files/kannel-initd2
-rw-r--r--app-mobilephone/kannel/files/kannel-smsbox.initd4
-rw-r--r--app-mobilephone/kannel/files/kannel-wapbox.initd4
-rw-r--r--app-mobilephone/kannel/kannel-1.4.3-r2.ebuild120
-rw-r--r--app-mobilephone/kannel/kannel-1.5.0-r1.ebuild122
6 files changed, 249 insertions, 7 deletions
diff --git a/app-mobilephone/kannel/files/kannel-bearerbox.initd b/app-mobilephone/kannel/files/kannel-bearerbox.initd
index 7034cb67bc5..14259d5ea8b 100644
--- a/app-mobilephone/kannel/files/kannel-bearerbox.initd
+++ b/app-mobilephone/kannel/files/kannel-bearerbox.initd
@@ -1,5 +1,5 @@
-#!/sbin/runscript
-# Copyright 1999-2009 Gentoo Foundation
+#!/sbin/openrc-run
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
diff --git a/app-mobilephone/kannel/files/kannel-initd b/app-mobilephone/kannel/files/kannel-initd
index 25003fdd1c9..ddb5c7a13a8 100644
--- a/app-mobilephone/kannel/files/kannel-initd
+++ b/app-mobilephone/kannel/files/kannel-initd
@@ -1,4 +1,4 @@
-#!/sbin/runscript
+#!/sbin/openrc-run
depend() {
need net
diff --git a/app-mobilephone/kannel/files/kannel-smsbox.initd b/app-mobilephone/kannel/files/kannel-smsbox.initd
index 5baf1829806..73087e6b53e 100644
--- a/app-mobilephone/kannel/files/kannel-smsbox.initd
+++ b/app-mobilephone/kannel/files/kannel-smsbox.initd
@@ -1,5 +1,5 @@
-#!/sbin/runscript
-# Copyright 1999-2009 Gentoo Foundation
+#!/sbin/openrc-run
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
diff --git a/app-mobilephone/kannel/files/kannel-wapbox.initd b/app-mobilephone/kannel/files/kannel-wapbox.initd
index 5baf1829806..73087e6b53e 100644
--- a/app-mobilephone/kannel/files/kannel-wapbox.initd
+++ b/app-mobilephone/kannel/files/kannel-wapbox.initd
@@ -1,5 +1,5 @@
-#!/sbin/runscript
-# Copyright 1999-2009 Gentoo Foundation
+#!/sbin/openrc-run
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
diff --git a/app-mobilephone/kannel/kannel-1.4.3-r2.ebuild b/app-mobilephone/kannel/kannel-1.4.3-r2.ebuild
new file mode 100644
index 00000000000..df695fdf174
--- /dev/null
+++ b/app-mobilephone/kannel/kannel-1.4.3-r2.ebuild
@@ -0,0 +1,120 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="2"
+WANT_AUTOMAKE=none
+
+inherit eutils autotools flag-o-matic ssl-cert user
+
+DESCRIPTION="Powerful SMS and WAP gateway"
+HOMEPAGE="http://www.kannel.org/"
+SRC_URI="http://www.kannel.org/download/${PV}/gateway-${PV}.tar.gz"
+
+LICENSE="Apache-1.1"
+SLOT="0"
+KEYWORDS="~amd64 x86"
+IUSE="ssl mysql sqlite postgres pcre doc debug pam"
+
+RESTRICT="test" # some tests fail with "address already in use"
+
+RDEPEND="sys-libs/e2fsprogs-libs
+ dev-libs/libxml2
+ dev-lang/perl
+ sys-libs/zlib
+ ssl? ( dev-libs/openssl )
+ mysql? ( virtual/mysql )
+ sqlite? ( dev-db/sqlite:3 )
+ postgres? ( dev-db/postgresql[server] )
+ pcre? ( dev-libs/libpcre )
+ pam? ( virtual/pam )"
+DEPEND="${RDEPEND}
+ >=sys-devel/bison-2.2
+ doc? ( media-gfx/transfig
+ app-text/jadetex
+ app-text/docbook-dsssl-stylesheets
+ app-text/docbook-sgml-dtd:3.1 )"
+
+S="${WORKDIR}/gateway-${PV}"
+
+pkg_setup() {
+ enewgroup kannel
+ enewuser kannel -1 -1 /var/log/kannel kannel
+}
+
+src_prepare() {
+ epatch "${FILESDIR}/${P}-custom-wap-ports.patch"
+ epatch "${FILESDIR}/${P}-autotools.patch"
+ epatch "${FILESDIR}/${P}-external-libuuid.patch"
+
+ #by default, use current directory for logging
+ sed -i -e 's:/tmp/::' doc/examples/kannel.conf
+
+ eautoconf
+}
+
+src_configure() {
+ append-flags -fno-strict-aliasing # some code breaks strict aliasing
+ econf --docdir=/usr/share/doc/${PF} \
+ --enable-localtime \
+ --disable-start-stop-daemon \
+ --without-sqlite2 \
+ $(use_enable pam) \
+ $(use_enable debug debug) \
+ $(use_enable pcre) \
+ $(use_enable doc docs) \
+ $(use_enable ssl) \
+ $(use_with mysql) \
+ $(use_with sqlite sqlite3) \
+ $(use_with postgres pgsql) \
+ || die "econf failed"
+}
+
+# phase disabled by RESTRICT
+# src_test() {
+# emake check || die "emake check failed"
+# }
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+
+ if use doc; then
+ emake DESTDIR="${D}" install-docs || die "emake install-docs failed"
+ fi
+ dodoc README
+
+ diropts -g kannel -m0750
+ dodir /etc/kannel
+ insinto /etc/kannel
+ newins doc/examples/kannel.conf kannel.conf.sample
+
+ local f
+ for f in bearerbox smsbox wapbox; do
+ newinitd "${FILESDIR}/kannel-$f.initd" kannel-$f
+ done
+
+ diropts -g kannel -m0770
+ keepdir /var/log/kannel /var/run/kannel
+}
+
+pkg_postinst() {
+ if use ssl; then
+ elog "SSL certificate can be created by running"
+ elog " emerge --config =${CATEGORY}/${PF}"
+ fi
+}
+
+pkg_config() {
+ if use ssl; then
+ if install_cert /etc/ssl/kannel; then
+ chown kannel "${ROOT}"etc/ssl/kannel.{pem,key}
+ einfo "For using this certificate, you have to add following line to your kannel.conf:"
+ einfo ' ssl-client-certkey-file = "/etc/ssl/kannel.pem"'
+ einfo ' ssl-server-cert-file = "/etc/ssl/kannel.crt"'
+ einfo ' ssl-server-key-file = "/etc/ssl/kannel.key"'
+ fi
+ else
+ eerror "This phase exists only for creating kannel SSL certificate"
+ eerror "and ssl USE flag is disabled for this package!"
+ fi
+}
diff --git a/app-mobilephone/kannel/kannel-1.5.0-r1.ebuild b/app-mobilephone/kannel/kannel-1.5.0-r1.ebuild
new file mode 100644
index 00000000000..ee84be244be
--- /dev/null
+++ b/app-mobilephone/kannel/kannel-1.5.0-r1.ebuild
@@ -0,0 +1,122 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+WANT_AUTOMAKE=none
+
+inherit eutils autotools flag-o-matic ssl-cert user
+
+DESCRIPTION="Powerful SMS and WAP gateway"
+HOMEPAGE="http://www.kannel.org/"
+SRC_URI="http://www.kannel.org/download/${PV}/gateway-${PV}.tar.gz"
+
+LICENSE="Apache-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug doc mysql pam pcre postgres sqlite ssl"
+
+RESTRICT="test" # some tests fail with "address already in use"
+
+RDEPEND="sys-libs/e2fsprogs-libs
+ dev-libs/libxml2
+ dev-lang/perl
+ sys-libs/zlib
+ ssl? ( dev-libs/openssl )
+ mysql? ( virtual/mysql )
+ sqlite? ( dev-db/sqlite:3 )
+ postgres? ( dev-db/postgresql[server] )
+ pcre? ( dev-libs/libpcre )
+ pam? ( virtual/pam )
+"
+DEPEND="${RDEPEND}
+ >=sys-devel/bison-2.2
+ doc? ( media-gfx/transfig
+ app-text/jadetex
+ app-text/docbook-dsssl-stylesheets
+ app-text/docbook-sgml-dtd:3.1 )
+"
+
+S="${WORKDIR}/gateway-${PV}"
+
+pkg_setup() {
+ enewgroup kannel
+ enewuser kannel -1 -1 /var/log/kannel kannel
+}
+
+src_prepare() {
+ epatch "${FILESDIR}/${PN}-1.5.0-custom-wap-ports.patch"
+ epatch "${FILESDIR}/${PN}-1.4.3-autotools.patch"
+ epatch "${FILESDIR}/${PN}-1.4.3-external-libuuid.patch"
+
+ #by default, use current directory for logging
+ sed -i -e 's:/tmp/::' doc/examples/kannel.conf
+
+ eautoconf
+}
+
+src_configure() {
+ append-flags -fno-strict-aliasing # some code breaks strict aliasing
+ econf --docdir=/usr/share/doc/${PF} \
+ --enable-localtime \
+ --disable-start-stop-daemon \
+ --without-sqlite2 \
+ $(use_enable pam) \
+ $(use_enable debug debug) \
+ $(use_enable pcre) \
+ $(use_enable doc docs) \
+ $(use_enable ssl) \
+ $(use_with mysql) \
+ $(use_with sqlite sqlite3) \
+ $(use_with postgres pgsql) \
+ || die "econf failed"
+}
+
+# phase disabled by RESTRICT
+# src_test() {
+# emake check || die "emake check failed"
+# }
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+
+ if use doc; then
+ emake -j1 DESTDIR="${D}" install-docs || die "emake install-docs failed"
+ fi
+ dodoc README
+
+ diropts -g kannel -m0750
+ dodir /etc/kannel
+ insinto /etc/kannel
+ newins doc/examples/kannel.conf kannel.conf.sample
+
+ local f
+ for f in bearerbox smsbox wapbox; do
+ newinitd "${FILESDIR}/kannel-$f.initd" kannel-$f
+ done
+
+ diropts -g kannel -m0770
+ keepdir /var/log/kannel /var/run/kannel
+}
+
+pkg_postinst() {
+ if use ssl; then
+ elog "SSL certificate can be created by running"
+ elog " emerge --config =${CATEGORY}/${PF}"
+ fi
+}
+
+pkg_config() {
+ if use ssl; then
+ if install_cert /etc/ssl/kannel; then
+ chown kannel "${ROOT}"etc/ssl/kannel.{pem,key}
+ einfo "For using this certificate, you have to add following line to your kannel.conf:"
+ einfo ' ssl-client-certkey-file = "/etc/ssl/kannel.pem"'
+ einfo ' ssl-server-cert-file = "/etc/ssl/kannel.crt"'
+ einfo ' ssl-server-key-file = "/etc/ssl/kannel.key"'
+ fi
+ else
+ eerror "This phase exists only for creating kannel SSL certificate"
+ eerror "and ssl USE flag is disabled for this package!"
+ fi
+}